curl --request GET \
--url https://api.leadping.ai/events/detail/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/events/detail/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/events/detail/{eventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/events/detail/{eventId}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/events/detail/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/events/detail/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/events/detail/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"eventType": "<string>",
"secondaryEventType": "<string>",
"description": "<string>",
"eventCategory": "<string>",
"timelineType": "Message",
"timelineCategory": "<string>",
"conversationId": "<string>",
"summary": "<string>",
"direction": "<string>",
"status": "Pending",
"statusReason": "<string>",
"fromPhoneNumberId": "<string>",
"outboundPhoneNumberId": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"scheduledFor": "2023-11-07T05:31:56Z",
"sendingStartedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"undeliverableAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>"
},
"userEmail": "jsmith@example.com",
"userId": "<string>",
"leadId": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get full lead event payload by ID
Returns detailed event data by ID, including the full JSON payload for debugging, audit review, and workflow inspection.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the event.
Response
Event details were successfully retrieved.
Describes event detail data returned by Leadping.
Event type used to classify this timeline, SMS, call, or automation event.
Secondary event type used for additional event classification.
Human-readable description that explains this event detail response to API users.
High-level category used to group this Leadping event.
Classifies the kind of activity displayed in a lead or conversation event timeline.
Message, Sms, Mms, Call, Voicemail, Note, LeadStatusChange, LeadCreated, LeadUpdated, Notification, Payment, Warmup Timeline category used to group events for display and filtering.
Conversation ID that links this event detail response to the Leadping inbox thread.
Short human-readable summary of this event detail response for lists, timelines, and notifications.
Communication direction for this event detail response, such as inbound or outbound.
Describes whether a Leadping event is pending, processing, completed, failed, or otherwise resolved.
Pending, InProgress, Completed, Failed, Cancelled Human-readable reason explaining the current status of this event detail response.
Sender phone number ID used for this outbound SMS or call.
Phone number ID selected for outbound delivery.
Sender phone number used for this communication.
Recipient phone number used for this communication.
UTC timestamp when Leadping queued this event detail response for processing.
UTC timestamp when the related delivery or workflow action is scheduled to run.
UTC timestamp when Leadping began sending this message.
UTC timestamp when Leadping sent this message to the provider.
UTC timestamp when the provider confirmed delivery.
UTC timestamp when Leadping received this inbound event or message.
UTC timestamp when processing failed for this event detail response.
UTC timestamp when the provider marked the message undeliverable.
UTC timestamp when Leadping blocked this communication.
UTC timestamp when this delivery or workflow was canceled.
User summary connected to this event detail response.
Show child attributes
Show child attributes
Email address for the user connected to this event detail response.
User ID associated with the activity that created this event.
Lead ID associated with this event detail record.
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

